#!/bin/sh
ln -s -f `pwd`/linux-wdist /usr/src/linux-wdist

cd linux-wdist
make clean
cd ..

cd pcmcia-cs-3.2.3
make clean
cd ..

cd madwifi-cvs
./build-wdist.sh -c
cd ..

./build-hostap.sh -c

cd netdrivers-3.1
make clean
cd ..

[ "$1" = "-c" ] && exit

./build-kernel.sh || exit 10
# pcmcia (includes aironet)
cd pcmcia-cs-3.2.3
make all || exit 10
make install || exit 10
cd ..
# madwifi
cd madwifi-cvs
./build-wdist.sh || exit 10
cd ..
# hostap
./build-hostap.sh || exit 10
# alternative realtek drivers
cd netdrivers-3.1
make || exit 10
cd ..
# copy generated modules into modules/
./populate-modules.sh || exit 10
